#include <iostream>
#include <cstring>

#include "RawReader.h"

int main() {
    RawReader<10, 5> reader(1);

    while(reader.canRead()) {
        // simulate work between reads
        usleep(50000);
        //std::cout << "Work\n";

        const char* s = reader.readLine("> ");
        if(s != nullptr) {
            std::cout << s << "\n";
            if(strcmp(s, "q") == 0) {
                break;
            }
        }
    }
    return 0;
}